## Class ShowProperties

- java.lang.Object
- - ShowProperties

    public class ShowProperties
    extends java.lang.Object

Displays single specific values or all values from the current system properties. This class solely exists to check the currently active property values.

### Constructor Summary

Constructors
Constructor and Description
`ShowProperties()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(java.lang.String[] args)` Runs the main program.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowProperties

    public ShowProperties()

### Method Detail

#### main

    public static void main(java.lang.String[] args)

Runs the main program. If no arguments were specified, all property values, sorted by their key, will be shown. Otherwise, only property values of matching keys are shown.

Parameters:
  `args` - are the commandline interface arguments.